###########################################################################
#
# win32 makefile -- lib
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

AR = lib
CC = cl
CPPFLAGS =
DEFS = -DQUIET -D__WIN32__ -D_LITTLE_ENDIAN -DGSDL_NAMESPACE_BROKEN \
	-DSHORT_SUFFIX -DPARADOCNUM -DHAVE_CONFIG_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = -I../packages/mg/lib -I f:\STLport-3.2\stlport

COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 


HEADERS = \
  cfgread.h      fileutil.h     gsdlunicode.h  text_t.h \
  display.h      gsdlconf.h     gsdltimes.h

SOURCES = \
  cfgread.cpp      fileutil.cpp     text_t.cpp \
  display.cpp      gsdlunicode.cpp  gsdltimes.cpp

OBJECTS = \
  cfgread.obj        fileutil.obj       text_t.obj   \
  display.obj        gsdlunicode.obj    gsdltimes.obj

all: gsdllib.lib

GSDLLIBOBJECTS = $(OBJECTS)

gsdllib.lib : $(GSDLLIBOBJECTS)
	del gsdllib.lib
	$(AR) /out:gsdllib.lib $(GSDLLIBOBJECTS)

clean:
	del *.obj 
	del gsdllib.lib

install:
